#include <bits/stdc++.h>

using namespace std;

#define ll long long
const ll MAXN=1e6+5,INF=1e9,MOD=1e9+7;
const double EPS=1e-9;
#define fi first
#define se second
#define pll pair<ll,ll>
#define pii pair<int,int>
#define mid (l+r)/2
#define sz(a) int((a).size())
#define all(a) a.begin(),a.end()
#define mod 1000000007LL
#define pb push_back
#define endl "\n"
#define PRINT(x) cerr<<#x<<'-'<<x<<endl<<flush;
#define getunique(v) {sort(all(v)); v.erase(unique(all(v)), v.end());}
#define pb push_back
#define pf push_front
#define ppf pop_front
#define ppb pop_back
#define PRINTvec(x) { cerr<<#x<<"-"; for(int i=0;i<sz(x);i++) cerr<<x[i]<<" "; cerr<<endl; }

ll n,m,k,q,x,y,z,l,r,res=0;
string s,t;
ifstream in;
ofstream out;

#ifdef ONLINE_JUDGE
    #define in cin
    #define out cout
#endif

vector<int> a;

void solve(){
    cin>>s;
    char c1=s[0],c2=s[1];
    int cnt1,cnt2;
    cin>>cnt1>>cnt2;
    int cnt11=cnt1,cnt22=cnt2;
    n=cnt1+cnt2;
    bool good1=true,good2=true;
    string res1,res2;
    for(int i=0;i<n;i++){
        if(i%2==0){
            if(cnt1) res1.pb(c1),cnt1--;
            else good1=false;
            if(cnt22) res2.pb(c2),cnt22--;
            else good2=false;
        }
        else{
            if(cnt2) res1.pb(c2),cnt2--;
            else good1=false;
            if(cnt11) res2.pb(c1),cnt11--;
            else good2=false;
        }
    }
    if(good1) cout<<res1<<endl;
    else if(good2) cout<<res2<<1<<endl;
    else cout<<"nemoguce"<<endl;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    #ifndef ONLINE_JUDGE
        in.open("D:\\UROS\\Programiranje\\input.in",ios::in);
        out.open("D:\\UROS\\Programiranje\\output.out",ios::trunc | ios::out);
    #endif
    //freopen(".in","r",stdin);
    //freopen(".out","w",stdout);'
    int t;
    ///cin>>t;
    t=1;
    while(t--){
        solve();
    }
    return 0;
}